org.icefaces.ace.component.datatable

## Enum DataTableBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<DataTableBase.PropertyKeys>
  - - org.icefaces.ace.component.datatable.DataTableBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataTableBase.PropertyKeys>
  Enclosing class:
    DataTableBase

      protected static enum DataTableBase.PropertyKeys
      extends java.lang.Enum<DataTableBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `allowTableResizing`
    `alwaysExecuteContents`
    `applyingFilters`
    `applyingSorts`
    `cachedGlobalFilter`
    `caption`
    `clickableHeaderSorting`
    `columnOrdering`
    `columnPinning`
    `columnPinningControlsInHeader`
    `columnsInheritProperties`
    `constantRefilter`
    `currentPageReportTemplate`
    `disabled`
    `doubleClickSelect`
    `emptyMessage`
    `filteredData`
    `filterEvent`
    `filterListener`
    `filterValue`
    `forcedUpdateCounter`
    `groupedFilterResults`
    `headerColumnOrdering`
    `height`
    `hiddenScrollableSizing`
    `lastReordering`
    `lazy`
    `liveScroll`
    `page`
    `pageCount`
    `paginator`
    `paginatorAlwaysVisible`
    `paginatorPosition`
    `paginatorTemplate`
    `renderRowTabindex`
    `reorderableColumns`
    `resizableColumns`
    `rowIndexVar`
    `rows`
    `rowSelectListener`
    `rowsPerPageTemplate`
    `rowStateVar`
    `rowStyleClass`
    `rowUnselectListener`
    `scrollable`
    `scrollHeight`
    `scrollWidthIE7`
    `selectionMode`
    `singleSort`
    `stateMap`
    `staticHeaders`
    `style`
    `styleClass`
    `tabIndex`
    `tableConfigPanel`
    `toggleOnInvalidEdit`
    `valueHashCode`
    `widgetVar`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static DataTableBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataTableBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### allowTableResizing

          public static final DataTableBase.PropertyKeys allowTableResizing

    - #### alwaysExecuteContents

          public static final DataTableBase.PropertyKeys alwaysExecuteContents

    - #### caption

          public static final DataTableBase.PropertyKeys caption

    - #### clickableHeaderSorting

          public static final DataTableBase.PropertyKeys clickableHeaderSorting

    - #### columnOrdering

          public static final DataTableBase.PropertyKeys columnOrdering

    - #### columnPinning

          public static final DataTableBase.PropertyKeys columnPinning

    - #### columnPinningControlsInHeader

          public static final DataTableBase.PropertyKeys columnPinningControlsInHeader

    - #### columnsInheritProperties

          public static final DataTableBase.PropertyKeys columnsInheritProperties

    - #### constantRefilter

          public static final DataTableBase.PropertyKeys constantRefilter

    - #### currentPageReportTemplate

          public static final DataTableBase.PropertyKeys currentPageReportTemplate

    - #### disabled

          public static final DataTableBase.PropertyKeys disabled

    - #### doubleClickSelect

          public static final DataTableBase.PropertyKeys doubleClickSelect

    - #### emptyMessage

          public static final DataTableBase.PropertyKeys emptyMessage

    - #### filterEvent

          public static final DataTableBase.PropertyKeys filterEvent

    - #### filterListener

          public static final DataTableBase.PropertyKeys filterListener

    - #### filterValue

          public static final DataTableBase.PropertyKeys filterValue

    - #### groupedFilterResults

          public static final DataTableBase.PropertyKeys groupedFilterResults

    - #### headerColumnOrdering

          public static final DataTableBase.PropertyKeys headerColumnOrdering

    - #### height

          public static final DataTableBase.PropertyKeys height

    - #### hiddenScrollableSizing

          public static final DataTableBase.PropertyKeys hiddenScrollableSizing

    - #### lazy

          public static final DataTableBase.PropertyKeys lazy

    - #### liveScroll

          public static final DataTableBase.PropertyKeys liveScroll

    - #### page

          public static final DataTableBase.PropertyKeys page

    - #### pageCount

          public static final DataTableBase.PropertyKeys pageCount

    - #### paginator

          public static final DataTableBase.PropertyKeys paginator

    - #### paginatorAlwaysVisible

          public static final DataTableBase.PropertyKeys paginatorAlwaysVisible

    - #### paginatorPosition

          public static final DataTableBase.PropertyKeys paginatorPosition

    - #### paginatorTemplate

          public static final DataTableBase.PropertyKeys paginatorTemplate

    - #### renderRowTabindex

          public static final DataTableBase.PropertyKeys renderRowTabindex

    - #### reorderableColumns

          public static final DataTableBase.PropertyKeys reorderableColumns

    - #### resizableColumns

          public static final DataTableBase.PropertyKeys resizableColumns

    - #### rowIndexVar

          public static final DataTableBase.PropertyKeys rowIndexVar

    - #### rowSelectListener

          public static final DataTableBase.PropertyKeys rowSelectListener

    - #### rowStateVar

          public static final DataTableBase.PropertyKeys rowStateVar

    - #### rowStyleClass

          public static final DataTableBase.PropertyKeys rowStyleClass

    - #### rowUnselectListener

          public static final DataTableBase.PropertyKeys rowUnselectListener

    - #### rows

          public static final DataTableBase.PropertyKeys rows

    - #### rowsPerPageTemplate

          public static final DataTableBase.PropertyKeys rowsPerPageTemplate

    - #### scrollHeight

          public static final DataTableBase.PropertyKeys scrollHeight

    - #### scrollWidthIE7

          public static final DataTableBase.PropertyKeys scrollWidthIE7

    - #### scrollable

          public static final DataTableBase.PropertyKeys scrollable

    - #### selectionMode

          public static final DataTableBase.PropertyKeys selectionMode

    - #### singleSort

          public static final DataTableBase.PropertyKeys singleSort

    - #### stateMap

          public static final DataTableBase.PropertyKeys stateMap

    - #### staticHeaders

          public static final DataTableBase.PropertyKeys staticHeaders

    - #### style

          public static final DataTableBase.PropertyKeys style

    - #### styleClass

          public static final DataTableBase.PropertyKeys styleClass

    - #### tabIndex

          public static final DataTableBase.PropertyKeys tabIndex

    - #### toggleOnInvalidEdit

          public static final DataTableBase.PropertyKeys toggleOnInvalidEdit

    - #### widgetVar

          public static final DataTableBase.PropertyKeys widgetVar

    - #### applyingFilters

          public static final DataTableBase.PropertyKeys applyingFilters

    - #### applyingSorts

          public static final DataTableBase.PropertyKeys applyingSorts

    - #### cachedGlobalFilter

          public static final DataTableBase.PropertyKeys cachedGlobalFilter

    - #### filteredData

          public static final DataTableBase.PropertyKeys filteredData

    - #### forcedUpdateCounter

          public static final DataTableBase.PropertyKeys forcedUpdateCounter

    - #### lastReordering

          public static final DataTableBase.PropertyKeys lastReordering

    - #### tableConfigPanel

          public static final DataTableBase.PropertyKeys tableConfigPanel

    - #### valueHashCode

          public static final DataTableBase.PropertyKeys valueHashCode

  - ### Method Detail

    - #### values

          public static DataTableBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataTableBase.PropertyKeys c : DataTableBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataTableBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DataTableBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.